Operations

List asynchronous operations

Lists asynchronous operations for the active organization, newest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.

GET
/v1/operations

Lists asynchronous operations for the active organization, newest first. Pass nextCursor back as cursor for the next page; it is null on the last page.

x-api-key<token>

In: header

Query Parameters

limit?string|null
cursor?CursorEncoded|null
kind?|null
status?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/operations"
{  "items": [    {      "id": "string",      "organizationId": "string",      "kind": "email-domain-provisioning",      "subject": {        "type": "string",        "id": "string"      },      "actor": {        "type": "user",        "id": "string"      },      "status": "pending",      "phase": "accepted",      "error": {        "code": "validation-failed",        "message": "string"      },      "createdAt": "string",      "updatedAt": "string",      "startedAt": "string",      "completedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation